:root {
    --primary: #00aa46;
    --primary-alt: #9D1458;
}

html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

.bg-navbar-dark {
    background-color: #efefef;
}

.navbar-brand {
    font-size: 18pt;
    
    font-weight: bold;
}

.nav-link,
.navbar-text {
    color: #7d7f35;
}

    .nav-link:hover {
        color: #6f3333;
    }

.page-header-title {
    /**/
}

.page-header-edit-url {
    font-size: 0.4em;
}

.hide {
    display: none;
}

.search-input {
    display: inline-block;
    border: 1px solid rgba(1,1,1,0.2);
    border-radius: 9px;
    padding: 4pt 6pt 4pt 6pt;
}

    .search-input > i {
        color: #7d7f35;
    }

    .search-input > input {
        border: 0;
        outline: none;
    }

.button {
    display: inline-block;
    border-radius: 4px;
    color: #eee;
    padding: 6px 15px;
    /*
    border-radius: 16pt;*/ /*padding: 7pt 15pt 7pt 15pt;
    border-radius: 16pt;*/
    text-decoration: none;
    background: #7d7f35; /* #00aa46;*/
    border-color: #7d7f35;
    font-weight: normal;
}

    .button:hover {
        background: #6f3333;
    }

.fullwidth {
    width: 100%;
}

.rekyl-badge {
    background: rgba(0, 87, 217, 0.2);
    color: #000;
    border-radius: 4pt;
    padding: 2pt 5pt 2pt 5pt;
    font-size: 0.9em;
}

.type-badge {
    color: #000;
    border-radius: 4pt;
    padding: 2pt 5pt 2pt 5pt;
    font-size: 0.9em;
}

.type-badge-col-1 {
    background: rgba(0, 87, 217, 0.2);
}

.type-badge-col-2 {
    background: rgba(217, 76, 0, 0.2);
}

.type-badge-col-3 {
    background: rgba(0, 217, 123, 0.2);
}

.table-markdown-field {
    white-space: nowrap;
}

    .table-markdown-field > * {
        margin: 0;
    }

.container-main-layout {
    max-width: 440px;
}

.action-text-container {
    text-align: left;
    padding: 4pt 7pt 4pt 7pt;
    border-radius: 4pt;
    background: #e8f2d7;
    color: #3d6c1c;
    margin-bottom: 10pt;
    word-wrap: break-word;
}

    .action-text-container * {
        max-width: 100%;
    }

    .action-text-container > *:last-child {
        margin-bottom: 0;
    }

a {
    color: #4b4b4b;
    font-weight: bold;
}

.action-text-container a {
    color: #1493e0;
}

/* Coop color overrides */

.btn {
    border-radius: 4px;
}

.btn-primary {
    background: #7d7f35; /* #00aa46;*/
    border-color: #7d7f35;
}

    .btn-primary:hover {
        background: #6f3333;
        border-color: #6f3333;
    }

    .btn-primary:active {
        background: #6f3333 !important;
    }

    .btn-primary:disabled {
        border-color: #c9ced2;
        background: #dee2e7;
        color: #333;
    }

.btn-secondary {
    background: transparent;
    border-color: #6f3333;
    color: #6f3333;
}

    .btn-secondary:hover {
        background: transparent;
        border-color: #7d7f35;
        color: #7d7f35;
    }

    .btn-secondary:active {
        background: transparent !important;
        color: #6f3333 !important;
    }

.nbr-bot {
    border-bottom: 0;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.nbr-top {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.lit-ptr {
    cursor: pointer;
}

.lit-dropdown {
    position: relative;
    text-align: left;
}

.lit-popup {
    position: absolute;
}

    .lit-popup > p {
        margin: 0;
        padding: 0.375rem 0.75rem 0.375rem 0.75rem;
    }

.lit-dropdown > div {
    width: 100%;
}

.lit-dropdown > i {
    display: block;
    position: absolute;
    right: 10px;
    top: 10px;
}

.lit-search-box {
    position: relative;
    overflow: hidden;
}

    .lit-search-box > input {
        width: 100%;
        border: 0;
        outline: none;
        padding: 0.375rem 0.75rem 0.375rem 0.75rem;
        margin-left: 20px;
    }

    .lit-search-box > i {
        position: absolute;
        top: 10px;
        left: 10px;
    }

.lit-dropdown > div > ul {
    list-style-type: none;
    border-top: 1px solid #dee2e6;
    padding: 0;
    margin: 0;
    overflow-y: scroll;
    max-height: 200px;
}

    .lit-dropdown > div > ul > li {
        padding: 0.375rem 0.75rem 0.375rem 0.75rem;
        cursor: pointer;
    }

        .lit-dropdown > div > ul > li:hover {
            background: #eee;
        }

.lit-selected {
    background: #eee;
}

.lit-dropdown > div > ul > li > a {
    text-decoration: none;
}

.popup-backdrop {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.4);
}

.popup-container {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
}

.popup {
    color: #000;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    border-radius: 6px;
    width: 450px;
    margin: 20vh auto;
    padding: 10pt;
}

    .popup > header {
        font-weight: bold;
        font-size: 1.1em;
        border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    }

    .popup > main {
        margin: 10px 0 10px 0;
    }

        .popup > main > p {
            margin: 0;
        }

    .popup > footer {
        text-align: center;
    }

.bold {
    font-weight: bold;
}

.btn-bankid {
    background-color: #183E4F;
    width: 100%;
    font-size: 1.5rem;
    border-color: #183E4F;
    color: #FFF;
    transition: 0.5s;
}


    .btn-bankid:hover {
        background-color: #183E4F;
        margin-left: 0.5rem;
        transition: 0.5s;
        color: #FFF;
    }

.btn-bankid-cancel {
    background-color: transparent !important;
    color: #183E4F !important;
    border-color: transparent !important;
     text-decoration:underline;
}
    .btn-bankid-cancel:hover {
        background-color: #183E4F;
        margin-left: 0rem !important;
        transition: 0s !important;
        color: #183E4F !important;
        text-decoration:underline;
    }

/* CSS for sticky footer */
html, body {
    height: 100%;
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
}

.container-main-layout {
    flex: 1; /* Pushes the footer to the bottom */
}

footer {    
    text-align: center;
    padding: 1rem;
}

.text-small {
	font-size: 0.8rem;
}
